This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 167390 - KPDF hangs when trying to expand sub-bookmarks in the bookmark tree
KPDF hangs when trying to expand sub-bookmarks in the bookmark tree
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 05:53 EDT by Michal Piotrowski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 11:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Piotrowski 2005-09-02 05:53:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
If I open PDF file with bookmarks and try to expand them to see next level of bookmark tree kpdf crashes.

Version-Release number of selected component (if applicable):
3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Open PDF file with bookmarks with many levels.
2. Try to expand a bookmark to see sub-bookmarks.

  

Actual Results:  KPDF crashes

Expected Results:  Should be able to see next level bookmarks.

Additional info:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208854848 (LWP 3315)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#4  0x0674ed28 in QDomElement::attribute ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x00a33a03 in TOC::slotExecuted () from /usr/lib/kde3/libkpdfpart.so
#6  0x00a33e60 in TOC::qt_invoke () from /usr/lib/kde3/libkpdfpart.so
#7  0x064eadf4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x06876c4f in QListView::clicked () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x065e0180 in QListView::contentsMouseReleaseEventEx ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x065e0930 in QListView::contentsMouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x06c07816 in KListView::contentsMouseReleaseEvent ()
   from /usr/lib/libkdeui.so.4
#12 0x06612ac7 in QScrollView::viewportMouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x0660fd2a in QScrollView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x065da307 in QListView::eventFilter ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x064ea87c in QObject::activate_filters ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x064ea8f1 in QObject::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x06528dec in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x064860cd in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x0648702f in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x001c9851 in KApplication::notify () from /usr/lib/libkdecore.so.4
#21 0x0641d746 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x0641bf01 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x06430008 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x0649e78b in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x0649e696 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x06485a99 in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x0804f000 in ?? ()
#28 0x00bc9d5f in __libc_start_main () from /lib/libc.so.6
#29 0x0804ed31 in ?? ()
Comment 1 Ngo Than 2005-09-05 11:17:41 EDT
itÄs now fixed in kdegraphics-3_4_2-0_fc4_2, which will be released for FC4-update
soon. Thanks for your report
Comment 2 Fedora Update System 2005-09-06 01:38:14 EDT
From User-Agent: XML-RPC

kdegraphics-3.4.2-0.fc4.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.